// Learn TypeScript:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Mask)
    mask: cc.Mask = null;

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
        this.mask.type = cc.Mask.Type.ELLIPSE;
        this.mask.inverted = true;
        this.mask._updateGraphics = () => {
            var graphics = this.mask._graphics;
            graphics.clear();
            graphics.rect(20,20,120,80);
            graphics.fill();
        };
        this.mask._updateGraphics();
    }

    // update (dt) {}
}
